hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-12381) Add maven enforcer rules for build assumptions
Date Thu, 30 Oct 2014 19:14:34 GMT

    [ https://issues.apache.org/jira/browse/HBASE-12381?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14190647#comment-14190647
] 

Hudson commented on HBASE-12381:
--------------------------------

FAILURE: Integrated in HBase-TRUNK #5723 (See [https://builds.apache.org/job/HBase-TRUNK/5723/])
HBASE-12381 use the Maven Enforcer Plugin to check maven and java versions. (stack: rev 075fd3032135c55a6874a6f0c091e558540609d0)
* pom.xml


> Add maven enforcer rules for build assumptions
> ----------------------------------------------
>
>                 Key: HBASE-12381
>                 URL: https://issues.apache.org/jira/browse/HBASE-12381
>             Project: HBase
>          Issue Type: Task
>          Components: build
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Minor
>             Fix For: 2.0.0, 0.94.26, 0.98.9, 0.99.2
>
>         Attachments: HBASE-12381.1.patch.txt
>
>
> our ref guide says that you need maven 3 to build. add an enforcer rule so that people
find out early that they have the wrong maven version, rather then however things fall over
if someone tries to build with maven 2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message